Welcome
Top Next

AdriPSX ILE Edition 1.0.0

This help file has been created in order to easily combine the different knowledge base existing for AdriPSX all around the net. All this knowledge and these informations have been merged into one comprehensive file, which you're looking at right now. Seperated into several sub categories, you should find answers to most of your questions in this documentation.

If you couldn't find any help, don't worry. The AdriPSX message board for example is a helpful place, where lots of people know more than we could ever write into such a document, so just ask your question there. However, make sure that your question isn't already answered in this document first.

AdriPSX ILE Help File Version 1.0.0
Based on Informations about AdriPSX ILE Edition v1.0.0
Created and written by Bobbi


What is AdriPSX
Previous Top Next

AdriPSX is a Sony PlayStation emulator, developed by Roor Makurosu.

It can run several games designed for the PSX console on a PC running Windows 9x, ME, NT, 2000, XP or DOS.
Its perfomance depends heavily on your PC configuration, and what kind of PSX game you are trying to run.
AdriPSX will never substitute a true PSX but it can give you the excitement to run your favorite games on your PC.
Many games will not work properly or not work at all.

The author is very aware of this and I'm always trying my best to make more games work flawlessly and speed up its performance.


System requirements

The System you need for good performance often depends on the game you want to play.
While for example a game with many complex graphics such as Final Fantasy 8 will require a rather fast PC, you'll be able to play Tekken 3 on a low-end PC already.

During our tests, we noticed a HEAVY difference between, for example, the AMD K6/2 - 500 Mhz processors and the PII 500 Mhz processors. It seems that the slow FPU of the AMD K6-x processors can cause up to 50% less speed than with a comparable Intel processor. The Athlon and Duron processors, however, don't experience this problem any more though.

onestep Minimum system requirements :
· Windows 95/98/ME, NT (SP4), XP or 2000.
· DirectX 7.0 or higher.
· DirectX Sound Compatible Hardware.
· PC Pentium MMX, Pentium II, Pentium III, Celeron, or any compatible processor. (300 MHz at least are highly recommended).
· 16 MB of RAM at least.(32 MB are recommended).
· 10 MB of hard drive space.
· 16-bit video card (3D-Card is highly recommended).
· 8x or faster CD-ROM or desktop DVD-ROM drive.

As we said, results may vary. If you're above the recommended system configuration and still have problems, it might either be a bug in the emulator or a mis-configuration. For help with these issues, make sure to check the configuration part in this help file !

Attention: Some laptop DVD-ROM drives are unable to read game disks.Not all PlayStation games play well with AdriPSX, and some may not even work at all.


Legal stuff

Legal stuff

This Software will not be distributed on CD-ROM (covermount or otherwise), in a software compilation, or for a sum of money. "AdriPSX" will not be sold in any way. Any inclusion on media other than the Internet will require the author written consent.

The author will in no way endorse the use of Playstation software other than ORIGINAL Playstation CDROMS. The use of "pirated" or "Imaged" CDROMS is strictly prohibited. The author will not be answerable to any legal claim make by Software vendors against an "AdriPSX" user.

The user agrees not to ask the authors questions answered in the enclosed README file, questions about release dates, or questions about the third party driver plugins unless specifically asked to do so by the authors.


Where to get updates

If you want to get latest AdriPSX ILE Edition binaries, you can download them from AdriPSX HomePage.

There you will also find news about AdriPSX and emulation fandom in general, as well as screenshots from your favourite games, and access to AdriPSX Compatibility list.


AdriPSX configuration

The guide below has been typed up by DWatcer from PSXFanatics. As it's a really good one, I actually copied it here 1:1 ! It explains all necessary options. When you're interrested in the advanced ones, check the "Getting started (advanced)" part of this help file !

Graphics Driver
This setting is based on the characteristics of your video graphics card. Select the best option for your card. Direct3D and OpenGL are used primarily for 3D graphics when using 3D accelerated graphics cards. Software works best in 2D sprite based gaming. It is more compatible then the other choices, but does not produce the enhanced 3D visuals of Direct3D or OpenGL.

OpenGL is for ATI Radeon, Nvidia Geforce, or Nvidia TNT2, or any other graphics cards which are OpenGL based.
Direct3D can be used for 3Dfx cards such as Voodoo or Banshee. It can also be used if you have a 3D accelerated card, but are not certain if it is OpenGL based. It can also be used if you are not experiencing good performance with OpenGL.
Software can be used with almost any graphics cards. It is the most compatible selection, but it does work slow, and does not produced the enhanced 3D visual quality of the other options. It works perfectly for 2D sprite based gaming. If you are uncertain or are experience difficulties with graphics then this option is best.

Display Quality
Higher resolutions will give you better visual quality. Although higher settings may look better, but you may experience some slowdown. Set a level of resolution that works best with your system.

Filtering
By checking this box you enable a filtering option that smooths out textured graphics for a more refined look. Keep in mind that filtering is not supported by the real playstation so you might experience graphic glitches in some games.

Full Screen
Pretty self explanatory. Checking this box will give you full screen. If not you will play in a windowed mode. Normally, full screen gives a speed up over window mode.

Volume Control
Also self explanatory. Either choose to have no sound, or increase the volume by clicking a higher setting.

Control Setup
Clicking on the "Control Setup: button will open another window as shown below.

adricontrol

There are 4 options to choose from the pull down menu. Choose Gravis or Sidewinder if those are the controllers being used. Default Keyboard can be used if you do not have a joypad. Custom can be used for either joypads or keyboards. Simply click on any of the corresponding buttons with your mouse, and then press the joypad button, or key you wish it to be. The settings will be saved under "Custom". When you have completed your controller settings simply press "OK"

CDROM Setup
Clicking the Cdrom "Setup" button from the main window will open up another window as shown below:

adricdr

Now before proceeding be sure to have a PSX game placed in the Cdrom drive you wish to use.
Click on the "interface" menu and select "W9X / ME ASPI scsi commands" if you use a Windows 9x or Windows ME operatings system. If you use Windows 2000 select "W2K / XP IOCTL scsi commands".
If you are using Windows XP, first try "W9X / ME ASPI scsi commands", if they don't work then use "W2K / XP IOCTL scsi commands".

Drive
Now be sure that the drive letter matches the drive that you have placed the PSX game CD in (especially if you have more then one CD drive).
Once set simply press the "Try auto-detection" button as show with the red arrow. You should get a response indicating the "Read Mode".

Caching Mode
There are 3 different mode selections in this menu, but Async is the fastest and most recommended mode. Select other modes if you are experiencing Cdrom difficulty.

Advanced Mode
Clicking this button will enable a more advanced GUI for advanced users. It is not needed to emulate a PSX Game.
Now your are all configured and ready to play. The following buttons will start the emulation process, or shut the emulator down.

Boot CD
When you are ready to play this button will start the emulator and run a PSX CD game. If everything is configured properly the game should start.

Boot File
For those who enjoy playing on PSX game images such as ISO's, or manually choose what exe file you want to run, pressing this button will open a browser window. Simply tell AdriPSX where the file is located, then press "open" to start.

Boot Saved
AdriPSX ILE currently uses save state support instead of memory cards. If you had saved a game (See "Special Keys" or Readme DOC about save states), pressing this button will open a browser window. Simply locate the save state in the browser window, and start the game exactly where you saved.

Exit
This button will close down the emulator, but not completely. AdriPSX ILE will collapse into s system tray icon .


Step 1: Necessary files

First off, AdriPSX ILE Edition includes a basic and very updated package of plugins that would be enough for almost any PC platform under Windows Operative System.

For playing games, of course, need the emulator, all plugins you want to use and the BIOS file itself.
You can get the first two combined in a nice Installer from NGEmu (browse to http://www.ngemu.com/psx/adripsx.php?page=download).
If you already got some files, you can also download everything seperated from the package using the above URL.

We won't supply you with URL's for the BIOS as it is copyrighted by Sony.
But you should find it easily by browsing the web, with a search engine like Google for example!
Please do NOT mail the authors and do NOT ask on the AdriPSX message board about these files, you'll most probably just get banned for doing that.

Next steps are to select and configure the plugins !


Step 2: Graphic plugins

When going after compatibility, we recommend the usage of Peops's Soft GPU plugin.
If that one doesn't work with a game others have gotten working, you've probably made a configuration error.
You should also use this plugin when you've got troubles getting certain game situations to display properly (for example the FF8 battle menus).

Here's a list for the best plugins for the most popular graphic cards:

3dfx Voodoo 1/2............ Lewpy's Glide plugin (could crash with certain drivers)
3dfx Voodoo 3............... Pete's D3D (DirectX 7) or Lewpy's Glide plugin
3dfx Voodoo 4/5............ Pete's D3D (DirectX 7) or Lewpy's Glide plugin
ATI Radeon................... Pete's OpenGL plugin
ATI Rage 128/Expert..... Pete's D3D (DirectX 7) plugin
nVidia GeForce 1/2....... Pete's OpenGL plugin
nVidia TNT/TNT2........... Pete's OpenGL plugin
Matrox G200/G400........ Pete's D3D (DirectX 6) plugin
the rest........................ Pete's D3D (DirectX 7) plugin

You can download all these plugins from the NGEmu plugins page !


Step 3: CD plugins

In general

There are several offers as for CDR plugins.
In most case, we also recommed the usage of Pete's CD plugin, as it is provided with auto-detection, API support, etc.
It is the best choice if you use Windows 2000 or NT.
This plugin is already included in AdriPSX ILE Edition package.

When no settings are really working for you, one thing you can do is to create an ISO from the original CD using a burning app like CDRWin or WinOnCD. Keep in mind that you should get better performance using an ISO, compared to running a game from a CD.


Step 4: Sound plugins

The sound plugin is rather difficult to choose. However, below are some recommendations by the NGEmu team. HOWEVER, keep in mind that results may vary !

Pete's DSound plugin: Lots of options, good speed - a good plugin!
Eternal SPU: THE plugin to try, as lots of skilled SPU programmers made it.

You can get all listed plugins on the NGEmu SPU plugins page !


Step 5: PAD plugins

There's a vast selection of PAD plugins that will allow you to play your favourite Playstation games using your keyboard, joystick, pad or even your mouse.

AdriPSX already includes out best choice, Kazzuya's Pad plugin, which allow you to play using keyboard or any other kind of DirectInput Device.

And of course, you can download all these plugins from the NGEmu plugins page !


Step 6: The BIOS

AdriPSX has been mainly tested with the SCPH-1001 and the SCPH-7502 BIOS files, which are therefor the BIOS files we mostly recommend. Again, do NOT ask the authors or anyone else for the BIOS, in most cases this will just get you in troubles.


Step 7: Misc settings

Now that you've selected and configured the plugins of your choice, here's a list of the rest of the settings and how we recommend you to set them. Still, there're some options you might want to know about in the advanced menu :

· Disable ADPCM - Checking this option will disable ADPCM sound in games (normal in game sound effects)
· Disable CDXA - Checking this option will disable CDXA sound (In game music, voiceovers, etc)
· Disable CDA - Checking this option will disable CDA sound (Intro MDEC sounds, some music, etc)
· Use CD-Patches - Checking this option will enable the "CDRom Extra Decoder" which is required in some games to play CDXA sound. This option may break compatibility in some games, so enable if needed. This function is normally disabled automatically in "Simple Mode"
· Disable DynaRec - As mentioned earlier, AdriPSX ILE uses two engines. By checking this option the emulator will boot a game using the slower Interpreter engine instead of the default Dynamic Recompiler engine.
· Disable HLE - AdriPSX ILE uses various High Level Emulation techniques in order to achieve better speed, SIO IRQ controller functions, and various other improvements. If you feel for any reason that HLE may be causing compatibility problems in a game you have the option to disable it.


Hotkeys

There're several keys in AdriPSX which allow you to quickly access important functions.

F4
Pressing this key will generate a "save state". Save states will save your progress no matter where you are, at any time, even in PSX games that never contained a save function.

F5
Pressing this key will load a previously made save state during gameplay.

F11
If you have switched recompilers by using "F12", this key basically restarts the chosen recompiler engine. Kind of like restarting a car engine if it stalls. This will fix most problems when a game seems to hung or display wrong graphics during movies.

F12
AdriPSX ILE uses two different emulation engines to achieve maximum compatibility. They are the "Dynamic Recompiler" and "Static Recompiler". Pressing "F12" gives you the option to switch between the two engines if your are experiencing emulation difficulties with a particular game.

ESC
As you may wonder, this key is used for exit and terminte emulation.


Problems running a game

This is a pretty big area. First off, you should check if there is any advice on running your game in the Specific games section of this help file. If you can't find it in there, checking NGEmu's compatibility list might tell you if the game is known to not run or having problems. If it isn't listed, there're still some things to do before giving up though.

Game not starting at all
First off, you could use another plugin, since not all plugins work with every game. We suggest you use Pete's plugins for GPU (OpenGL, D3D or Soft), since they provide the best compatibility ... see the Getting started section for more plugin troubleshooting. In case you're running the game from an ISO file, try Daemon Tools, since some games only work properly with that tool. Some people also informed us that using a different BIOS version has helped them getting the emu working. Now, check if your CD-ROM drive at least TRIES to read the game CD ... when it does nothing on start, try another plugin (see plugins section for more help).

If all this didn't help, you just need to wait for the next version, but hey, this emulator is free so please don't send any E-Mails to the authors asking for game X to work in the next release.


AdriPSX randomly crashing

One thing that AdriPSX seems to be really sensitive to is bus speeds which are out of spec. This means you most probably overclocked your PC. If you are experiencing problems with AdriPSX crashing constantly, but never at the same location, then it could be pointing to this problem.

The only way that your bus speeds would be out of spec would be if you are overclocking, so if you are then you might want to try setting your processor back to its default settings with the PCI bus being at 33mhz and the AGP bus being at 66mhz. During testing the bus speeds only seemed to effect Final Fantasy VIII, but it might also effect other games as well, so if you are having random crashing problems with any game, this would be something to give a try.


Input problems

DirectX issues

All PAD plugin will require that DirectX is installed in your system.
If you don't have it installed it is more kinda emulation will never start.
You can get the lastest DirectX from http://www.microsoft.com/directx.

Emulation issues

If during emulation, you notice that the game is not responding to your command, just press F11 Key in your keyboard.


Speed issues

Too slow
If AdriPSX is running to slow for you, there're several things to check. First off, is your system applying to the system requirements at all ? You can check this in the Introduction part of this documentation. Then, some people seem to forget that activating all these funny switches and increasing all the options to max. *may* slow down their PC. Check your graphic plugin and set your resolution, color depth etc. to a lower value. Some plugins come with pre-defined configs, it may also be a good idea to try out these. Trying another plugin is also a possibility, check out the Getting started section for more details about these.

If this didn't help, remember that AdriPSX is very ressource intensive. Closing down all programs running in the background / systray, can therefor give you a nice speed increase.

Too fast
If you're using Pete's GPU plugins, check off the 'Use FPS Limit' checkbox, and select 'FPS Limit (10-200)', and manually define your FPS limit, it is recommend you input 60fps for NTSC J and U/C games, and 50fps for PAL games. If you need a little speed boost, try incrementing the fps by a bit, maybe by 10 or so.

If you're using Lewpy's Glide GPU plugin, select the 'FrameRate Limit' option, choose 'Custom', and put 60fps for NTSC J and U/C, and 50fps for PAL. If you feel it's a bit slow, try boosting the speed a bit by incrementing the fps a bit, I suggest 10fps or so, but your mileage may vary.

If you're using Knack's Software GPU Plugin, select the 'fps limit only' option under the 'Framerate > Adjustment Type' menu. It's automatic, as far as I know, there's no way to customize it, yet ;)


General issues

Problems with CD plugins in Win2k/XP

In order to get AdriPSX running correctly under Windows 2000 / XP. Most times you will need to install an ASPI layer first.
If someway, you are able to select "W9X / ME ASPI scsi commands" when using Pete's CDR plugin, do so, as it will give you best speed for Sound and Motion Video.
If you don't have one yet, you can download one from NGEmu's AdriPSX download area - install it and you should be set.


Lewpy's Glide plugin

Lewpy's glide plugin crashes when I try to run a game.
You're most probably either using a false configuration or, more common, an outdated version of his plugin.
Also, some old Voodoo 1/2 cards do not support Window mode, and will only work when set to Fullscreen.
Make sure you grabbed the latest plugin version from his homepage.


Null2's SPU plugin

Although I copied the .dll into the plugins folder, the plugin doesn't appear in the list.

Null2's popular SPU plugin requires the Visual Basic 6 runtimes in order to function properly, and won't even be listed unless they are installed.
Win2K, WinMe, and Win98SE(?) already come with them, but Win95 and Win98 do not. You can grab yourself a copy of the runtimes at:

http://download.microsoft.com/download/vb60pro/Redist/sp4/win98/EN-US/VBRun60sp4.exe


Pete's GPU plugins

The emulator crashes with Pete's plugins and the "Nice" setting on my Voodoo 3.

It's simple: Pete's plugin activated 32-bit color when you press "Nice", and the Voodoo 3 doesn't support anything more than 16-bit color.
You need to lower the color depth in order to fix this problem!


Graphic APIs

Because of the PSEmu Pro plugin interface, which AdriPSX takes advantage of, it's possible to basicly use any API you could want to use. There are several plugins for APIs such as OpenGL, 3Dfx's glide, Direct3D and the basic software mode. Below are some examples for each API, and who should actually use which :

OpenGL
The most popular and best OpenGL plugins are certainly Pete's OpenGL plugin and NextGL from Nikk. The OpenGL API should mainly be used by people who have NVidia or ATI cards. It provides the best speed and great graphics on these cards.

Direct 3D
Microsoft's DirectX API is widely used. If your card shows bad performance in OpenGL, or if you're using a 3Dfx card, a plugin from this category might be worth trying. Examples are Pete's Direct3D drivers and Nikk's Next3D plugin.

Glide
An old API created by 3Dfx. Around 1997, it was rather popular, and still today some people use their old 3Dfx Voodoo cards. The only reallly useable plugin in this category is Lewpy's glide renderer.

Software
Not really an API but rather non-accalerated is called software. In software mode, you'll get bad speeds but compatibility is the highest and display errors are rare.

You can get the latest plugins for all these APIs from the NGEmu GPU plugins page !


General PSX Bios infos

Configuration in AdriPSX
AdriPSX is rather easy to configure with the BIOS ... just place the file you want to use in your /bios directory, and AdriPSX will automaticly detect and use it !

BIOS region informations
To find out your version of the PSX BIOS, open the PlayStation Bios file in WordPad or any other text editor, go down to the bottom and you will see System ROM Version X.X YY/YY/YY (Z).
X is the number of the BIOS, e.g. 2.2
Y is the date of the BIOS, e.g. 12/04/95
Z is what region the BIOS is from, e.g. J for Japan


Dumping the PSX Bios

When you own a real playstation, there's also the possibility of dumping your own PSX BIOS instead of getting it from the internet. Below is a short description, which should give you an idea of how dumping it works. If you're familiar with the utilities being used there, you are already able to dump it. If not, searching the net is again a good idea here !

To dump a PlayStation BIOS, you need a GameShark or Action replay and a PC comms link. To start, you need either a real Caetla module or go to Google (http://www.google.com ) and search for "Caetla" (it's a BIOS replacement for your module, so properly read the included documentation before installing it!!).

Now upload "Caetla", and use use the caetla commands for downloading a binary memory image from the region 0x0bfc00000 - 0x0bfc7ffff! Now save the image as SCPHxxxx.bin, where xxxx is your PSX's model number, and AdriPSX will recognise it and use it from now on.


Useful links

In here I gathered together a collection of useful links for using AdriPSX. There, you'll find help, files and further informations on this emulator, so they're all worth checking somehow:

AdriPSX Homepage - http://www.adripsx.com
AdriPSX message board - http://www.ngemu.com/forums/forumdisplay.php?s=&forumid=10

NGEmu's PSX plugins page - http://www.ngemu.com/psx/plugins.php
NGEmu's compatibility list - http://www.ngemu.com/compat/index.php
PSXFanatics' compatibiliy list - http://www.psxfanatics.com/....

NGEmu - http://www.ngemu.com
PSXFanatics - http://www.psxfanatics.com


Credits
Previous Top

This concludes the AdriPSX ILE Edition help file. We hope that you have found the information helpful.
And, of course it wasn't possible to create such a large document all on my own. Many people helped and supported me during it's creation, of which I'd like to name a few below:

Roor Makurosu
AdriPSX author will be glad to be helpful whenever a question was there which I couldn't find an answer to myself.
Furthermore, he's one of the people responsible that this document exists at all, as he made the emu it's written for ;)

Juan Fazzini
Juan is AdriPSX ILE Edition co-coder, he's also responsible for all aesthetics changes done for AdriPSX ILE Editon, as well as one of Roor's biggest friends.

Thorgal
Without him, there would be no NGEmu - and without NGEmu, there would be no help file ! Go figure ;)

Wormie and Sandie
Two really cool friends, also running a great PSX site called PSXFanatics !

Emuforums members
Lots of questions and answers do come from our board, and I'd therefor like to thank all the people who help out there each and every day, and who made this big collection of useful hints and tricks possible !

Written by Bobbi of NGEmu.com
Hope you enjoyed reading ;)


CSHelp

Memory cards
Top

Memory card support isn't really working yet in AdriPSX. Now that updates are planned frequently, support for these shall be added sometimes soon, although it's not a primary goal at the moment.